---
- name: reset password
  hosts: avaya_g450
  connection: local
  vars_prompt:
    - name: device_user
      prompt: Enter the usernamem_step1
      unsafe: yes
      private: no
    - name: device_password
      prompt: Enter the current password
      unsafe: yes
      private: yes
    - name: new_device_password
      prompt: Enter new Password
      unsafe: yes
      private: no
      
  tasks:
    - name: generate first conf file
      ansible.builtin.template:
        src: avaya_pass.j2
        dest: "/tmp/{{ ansible_host }}avaya_pass.json"

    - name: process 1
      command: "python3 ssh_cmd.py -c /tmp/{{ ansible_host }}avaya_pass.json"
      register: process_1_result

    - name: show process 1 result
      debug:
        msg: "{{ process_1_result }}"
    - name: Clean up JSON files
      command: "rm -f /tmp/{{ ansible_host }}*.json"        